| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties

# IG::Num::IFunc2d Interface Reference

Represents scalar functions of 2 variables. More...

Inheritance diagram for IG::Num::IFunc2d:
[legend]

List of all members.

## Public Member Functions
double | Value (double x, double y)
| Calculates and returns value of the current 2D scalar function.
double | Value (vec2 parameters)
| Calculates and returns value of the current 2D scalar function.
void | Gradient (double x, double y, out double gradx, out double grady)
| Calculates gradient of the current 2D scalar function and returns its components through the specified output variables.
vec2 | Gradient (vec2 parameters)
| Calculates and returns gradient of the current 2D scalar function.
void | Hessian (double x, double y, out double dxx, out double dyy, out double dxy)
| Calculates Hessian of the current 2D scalar function and returns its component through the specified output variables.
mat2 | Hessian (vec2 parameters)
| Calculates and returns Hessian of the current 2D scalar function and returns it (in the form of a mat2 struct).
## Properties
bool | ValueDefined`[get]`
| Whether calculation of function value is defined.
bool | GradientDefined`[get]`
| Whether calculation of function ngradient is defined.
bool | HessianDefined`[get]`
| Whether calculation of function Hessian is defined.

## Detailed Description

Represents scalar functions of 2 variables.

$A Igor Apr09;

## Member Function Documentation

double IG::Num::IFunc2d::Value | ( | double | x,
|  | double | y
| ) |  |

Calculates and returns value of the current 2D scalar function.

Parameters:

  x | First parameter.
  y | Second parameter.
  z | Third parameter.

Implemented in IG::Num::Func2dBase, IG::Num::Func2dVectorFormBase, IG::Num::Func2dExamples::Func2dXY, IG::Num::Func2dBasePlain_ToConsider, IG::Num::Func3d2dBase::ComponentFunction1, IG::Num::Func3d2dBase::ComponentFunction2, IG::Num::Func3d2dBase::ComponentFunction3, IG::Neural::Func2dFromApproximator, IG::Num::Func2dFromScalarFunction, IG::Gr3d::VtkPlotBase::Func2dX, IG::Gr3d::VtkPlotBase::Func2dY, IG::Gr3d::VtkPlotBase::Func2dZero, IG::Gr3d::VtkPlotBase::ExampleFunc2dXY, IG::Gr3d::VtkPlotBase::ExampleFunc2dLinear, IG::Gr3d::VtkPlotBase::ExampleFunc2dSquare, IG::Gr3d::VtkPlotBase::ExampleFunc2dShifted, and IG::Gr3d::VtkPlotBase::ExampleFuncDiff.

double IG::Num::IFunc2d::Value | ( | vec2 | parameters | ) |

Calculates and returns value of the current 2D scalar function.

Parameters:

  parameters | Vector of function parameters (in form of the Value) struct.

Returns:
  Function value.

Implemented in IG::Num::Func2dBase, IG::Num::Func2dVectorFormBase, IG::Num::Func2dLinear, IG::Num::Func2dQuadratic, and IG::Num::Func2dBasePlain_ToConsider.

void IG::Num::IFunc2d::Gradient | ( | double | x,
|  | double | y,
|  | out double | gradx,
|  | out double | grady
| ) |  |

Calculates gradient of the current 2D scalar function and returns its components through the specified output variables.

Parameters:

  x | First parameter.
  y | Second parameter.
  gradx | First component of the returned gradient.
  grady | Second component of the returned gradient.

Implemented in IG::Num::Func2dBaseNoGradient, IG::Num::Func2dBase, IG::Num::Func2dVectorFormBase, IG::Num::Func2dExamples::Func2dXY, IG::Num::Func2dBasePlain_ToConsider, IG::Num::Func3d2dBase::ComponentFunction1, IG::Num::Func3d2dBase::ComponentFunction2, IG::Num::Func3d2dBase::ComponentFunction3, IG::Neural::Func2dFromApproximator, IG::Num::Func2dFromScalarFunction, IG::Gr3d::VtkPlotBase::Func2dX, IG::Gr3d::VtkPlotBase::Func2dY, IG::Gr3d::VtkPlotBase::Func2dZero, IG::Gr3d::VtkPlotBase::ExampleFunc2dXY, IG::Gr3d::VtkPlotBase::ExampleFunc2dLinear, IG::Gr3d::VtkPlotBase::ExampleFunc2dSquare, and IG::Gr3d::VtkPlotBase::ExampleFuncDiff.

vec2 IG::Num::IFunc2d::Gradient | ( | vec2 | parameters | ) |

Calculates and returns gradient of the current 2D scalar function.

Parameters:

  parameters | Vector of parameters (in form of the vec2 struct)

<returnreturns>Gradient of the current 2D scalar function (in form of the vec2 struct)</returnreturns>

Implemented in IG::Num::Func2dBase, IG::Num::Func2dVectorFormBase, IG::Num::Func2dLinear, IG::Num::Func2dQuadratic, and IG::Num::Func2dBasePlain_ToConsider.

void IG::Num::IFunc2d::Hessian | ( | double | x,
|  | double | y,
|  | out double | dxx,
|  | out double | dyy,
|  | out double | dxy
| ) |  |

Calculates Hessian of the current 2D scalar function and returns its component through the specified output variables.

Parameters:

  x | First parameter.
  y | Second parameter.
  dxx | Component 1-1 of the calculated Hessian.
  dyy | Component 2-2 of the calculated Hessian.
  dxy | Component 1-2 of the calculated Hessian.

Implemented in IG::Num::Func2dBaseNoHessian, IG::Num::Func2dBaseNoGradient, IG::Num::Func2dBase, IG::Num::Func2dVectorFormBase, IG::Num::Func2dBasePlain_ToConsider, IG::Num::Func3d2dBase::ComponentFunction1, IG::Num::Func3d2dBase::ComponentFunction2, IG::Num::Func3d2dBase::ComponentFunction3, IG::Neural::Func2dFromApproximator, and IG::Num::Func2dFromScalarFunction.

mat2 IG::Num::IFunc2d::Hessian | ( | vec2 | parameters | ) |

Calculates and returns Hessian of the current 2D scalar function and returns it (in the form of a mat2 struct).

Implemented in IG::Num::Func2dBase, IG::Num::Func2dVectorFormBase, IG::Num::Func2dLinear, IG::Num::Func2dQuadratic, and IG::Num::Func2dBasePlain_ToConsider.

## Property Documentation

bool IG::Num::IFunc2d::ValueDefined`[get]`

Whether calculation of function value is defined.

Implemented in IG::Num::Func2dBase, and IG::Num::Func2dBasePlain_ToConsider.

bool IG::Num::IFunc2d::GradientDefined`[get]`

Whether calculation of function ngradient is defined.

Implemented in IG::Num::Func2dBase, and IG::Num::Func2dBasePlain_ToConsider.

bool IG::Num::IFunc2d::HessianDefined`[get]`

Whether calculation of function Hessian is defined.

Implemented in IG::Num::Func2dBase, and IG::Num::Func2dBasePlain_ToConsider.

The documentation for this interface was generated from the following file:

- Function2d.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events